2019-05-27 07:21 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002630NetSurf[All Projects] Generalpublic2019-05-06 15:38
ReporterChris Young 
Assigned ToDaniel Silverstone 
SeverityminorReproducibilityalways 
StatusresolvedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.9 
Target Version3.9Fixed in Version3.9 
Summary0002630: Dukky errors apearing in default logging state
DescriptionDukky is reporting the following Javascript errors on pretty much all pages (including bugs.netsurf-browser.org). These are being output even in the default logging state:

(0.000006) content/handlers/javascript/duktape/dukky.c:666 js_exec: Failed to execute JavaScript
(0.000102) content/handlers/javascript/duktape/dukky.c:692 js_exec: Fetching name
(0.000160) content/handlers/javascript/duktape/dukky.c:692 js_exec: Success fetching name
(0.000207) content/handlers/javascript/duktape/dukky.c:693 js_exec: Fetching message
(0.000254) content/handlers/javascript/duktape/dukky.c:693 js_exec: Success fetching message
(0.000304) content/handlers/javascript/duktape/dukky.c:694 js_exec: Fetching fileName
(0.000427) content/handlers/javascript/duktape/dukky.c:694 js_exec: Success fetching fileName
(0.000507) content/handlers/javascript/duktape/dukky.c:695 js_exec: Fetching lineNumber
(0.000622) content/handlers/javascript/duktape/dukky.c:695 js_exec: Success fetching lineNumber
(0.000696) content/handlers/javascript/duktape/dukky.c:696 js_exec: Fetching stack
(0.001025) content/handlers/javascript/duktape/dukky.c:696 js_exec: Success fetching stack
Steps To ReproduceVisit bugs.netsurf-browser.org and look at stderr output
TagsNo tags attached.
Fixed in CI build #4621
Reported in CI build #4513
URL of problem pagehttps://bugs.netsurf-browser.org/mantis/
Attached Files

-Relationships
+Relationships

-Notes
Chris Young

~0001865

Chris Young (developer)

These look more like INFO/DEBUG level messages, except maybe "Failed to execute JavaScript". The following lines don't give any clue as to why though.
Daniel Silverstone

~0001906

Daniel Silverstone (administrator)

Pushed these down to DEBUG.
+Notes

-Issue History
Date Modified Username Field Change
2018-11-20 18:46 Chris Young New Issue
2018-11-20 18:48 Chris Young Note Added: 0001865
2019-02-16 17:49 Vincent Sanders Assigned To => Daniel Silverstone
2019-02-16 17:49 Vincent Sanders Status new => assigned
2019-02-16 17:49 Vincent Sanders Description Updated View Revisions
2019-05-06 15:38 Daniel Silverstone Status assigned => resolved
2019-05-06 15:38 Daniel Silverstone Resolution open => fixed
2019-05-06 15:38 Daniel Silverstone Fixed in Version => 3.9
2019-05-06 15:38 Daniel Silverstone Fixed in CI build # => 4621
2019-05-06 15:38 Daniel Silverstone Note Added: 0001906
+Issue History